javax.vecmath

## Class Point4i

- java.lang.Object
- - javax.vecmath.Tuple4i
  - - javax.vecmath.Point4i

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Point4i
      extends Tuple4i
      implements java.io.Serializable

  A 4 element point represented by signed integer x,y,z,w coordinates.
  Since:
    vecmath 1.2
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.vecmath.Tuple4i

      `w, x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Point4i()` Constructs and initializes a Point4i to (0,0,0,0).
    `Point4i(int[] t)` Constructs and initializes a Point4i from the array of length 4.
    `Point4i(int x, int y, int z, int w)` Constructs and initializes a Point4i from the specified x, y, z, and w coordinates.
    `Point4i(Tuple4i t1)` Constructs and initializes a Point4i from the specified Tuple4i.

  - ### Method Summary

    - ### Methods inherited from class javax.vecmath.Tuple4i

      `absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, clone, equals, get, get, getW, getX, getY, getZ, hashCode, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, setW, setX, setY, setZ, sub, sub, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Point4i

          public Point4i(int x,
                 int y,
                 int z,
                 int w)

      Constructs and initializes a Point4i from the specified x, y, z, and w coordinates.
      Parameters:
        `x` - the x coordinate
        `y` - the y coordinate
        `z` - the z coordinate
        `w` - the w coordinate

    - #### Point4i

          public Point4i(int[] t)

      Constructs and initializes a Point4i from the array of length 4.
      Parameters:
        `t` - the array of length 4 containing x, y, z, and w in order.

    - #### Point4i

          public Point4i(Tuple4i t1)

      Constructs and initializes a Point4i from the specified Tuple4i.
      Parameters:
        `t1` - the Tuple4i containing the initialization x, y, z, and w data.

    - #### Point4i

          public Point4i()

      Constructs and initializes a Point4i to (0,0,0,0).

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.